var HOST = "http://www.51wangjin.cn";
//var HOST = "http://192.168.1.207";
var APPNAME = '51网金';
//设置main层高度
function setMainHeight(num){
	var w_h = $(window).height();
	var h_h = $("header").height();
	num = arguments[0]?arguments[0]:0;
	$(".main").height(w_h - h_h - num);
	//$(".main").css("min-height",(w_h - h_h - num)+"px");
	$(".main").css('margin-top',(h_h+num)+'px');
}
//设置main.html里div.main的高度
function setMainMainHeight(num){
	var w_h = $(window).height();
//	var h_h = $("header").height();
	num = arguments[0]?arguments[0]:0;
	$(".main").height(w_h - num);
	//$(".main").css("min-height",(w_h - h_h - num)+"px");
	$(".main").css('margin-top',num+'px');
}
//设置图文列表自适应不同设备宽度,需传参：定位a标签 可以是class、id等；同一行其他元素定位；
function setMstWidth(event,othwth){
	var wth = $(window).width();
	var otherwth = othwth.width();
	event.width(wth-otherwth);
}
//检查手机号码格式是否正确
function chkmobilenum(temp){
    temp = $.trim(temp);
    var myreg = /^(((1[3,5,7,8,9][0-9]{1})|159|153)+\d{8})$/;
    if(myreg.test(temp))
        return true;
    else
        return false;
}

//检查用户名格式是否正确(只能包含字母和数字，且不能以数字开始)
function chkusrname(temp) {
	temp = $.trim(temp);
    if(temp =="") return false;
    var num = temp.substr(0,1);
    var res = /[^0-9]/;
    if(!res.test(num)) return false;
    var re=/[^a-zA-Z0-9]/;
    if(re.test(temp)) return false;
    return true;
}
//检查密码格式是否正确（只能包含字母和数字）
function chkpswdfmt(temp,long){
    temp = $.trim(temp);
    long = arguments[1]?arguments[1]:20;
    if(temp.length <6 || temp.length >long) return false;
    var re=/[^a-zA-Z0-9]/;
    if(re.test(temp)) return false;
    return true;
}

//数字自动加逗号并补齐两位小数
function outputmoney(number) {
	number = number.replace(/\,/g, "");
	if(isNaN(number) || number == "")return "";
	number = Math.round(number * 100) / 100;
    if (number < 0)
        return '-' + outputdollars(Math.floor(Math.abs(number) - 0) + '') + outputcents(Math.abs(number) - 0);
    else
        return outputdollars(Math.floor(number - 0) + '') + outputcents(number - 0);
} 
//格式化金额
function outputdollars(number) {
    if (number.length <= 3)
        return (number == '' ? '0' : number);
    else {
        var mod = number.length % 3;
        var output = (mod == 0 ? '' : (number.substring(0, mod)));
        for (i = 0; i < Math.floor(number.length / 3); i++) {
            if ((mod == 0) && (i == 0))
                output += number.substring(mod + 3 * i, mod + 3 * i + 3);
            else
                output += ',' + number.substring(mod + 3 * i, mod + 3 * i + 3);
        }
        return (output);
    }
}
function outputcents(amount) {
    amount = Math.round(((amount) - Math.floor(amount)) * 100);
    return (amount < 10 ? '.0' + amount : '.' + amount);
}

//个位数补齐两位
function fix2(num){
	return (parseInt(num)<10)?"0"+num:num;
}

//首页贷款项目列表
function crt_item_list(list,type){
	var repayment = arguments[1]==1?"还款中":'已还清';
	_html = '<li id="item'+list.id+'"><div class="item">';
	_html += '<div class="item_type cate_type'+list.cate_id+'"><span>'+list.name+'</span></div>';
	_html += '<div style="width:30%;float:right"><button class="repayment">'+repayment+'</button></div>';
	var amount = Math.round((list.borrow_amount/10000));
	_html += '<div class="info_detail">'+list.rate+'%</div><div class="info_detail">'+amount+'万</div><div class="info_detail">'+list.repay_time+'月</div>';
	var type = list.type_id==1?'付息还本':'本金均摊，利息固定';
	_html += '<div class="item_text">'+type+'</div>';
	_html += '<div class="schedule"><div class="show_schedule" style="width:'+list.baifenbi*100+'%">'+list.baifenbi*100+'%</div></div></li>';
	$(".item_list").append(_html);
}

//时间戳转日期
function timetodate(){
	
}
//获取手机验证码逻辑
function getCode(){
	var tel = $("#tel").val();
	if(!chkmobilenum(tel)){
		plus.nativeUI.toast('请输入正确的手机号');
		return;
	}
	var waiting = plus.nativeUI.showWaiting();
	mui.ajax(HOST+'/index.php/?s=/user/chongwu',{
		type:'post',
		dataType:'json',
//		data:{
//			tel:tel,
//			temp:1
//		},
		success:function(data){console.log(JSON.stringify(data));
			waiting.close();
			if(data.status==1){
				plus.nativeUI.toast('验证码已发送');
				$('.getCode').attr('disabled','disabled');
				$('.code').removeAttr('readonly');
				var time=59;
	            setTime=setInterval(function(){
	                if(time<=0){
	                    clearInterval(setTime);
	                    return;
	                }
	                time--;
	                $(".getCode").html(time+'s后重新获取');
	            },1000);
				setTimeout(function(){$(".getCode").removeAttr('disabled');
				$(".getCode").html('获取验证码');},60000);
			}else if(data.status == 0){
				plus.nativeUI.toast(data.info);
//								$('.getVerifyBtn').attr('disabled','disabled');
			}
		},error:function(){
			waiting.close();
		}
	})					
				
}
//退出登录逻辑
function quit(){
	var cur = plus.webview.currentWebview();
	var wvs = plus.webview.all();
//	console.log(wvs.length);return;
	var launch = plus.webview.getLaunchWebview();
	var main = plus.webview.getWebviewById('main');
//	var waiting = plus.nativeUI.showWaiting();
	for(var i=0;i<wvs.length;i++){
//		console.log(JSON.stringify(wvs[i]));
		if(wvs[i].getURL() == cur.getURL()||wvs[i].getURL() == launch.getURL()||wvs[i].getURL() == main.getURL()){
			continue
		}else{
			plus.webview.close(wvs[i]);
		}
		
	}
	localStorage.clear();
	localStorage.isLogin = 0;
//	setTimeout(function(){
		cur.close();	
//	},500);
}


//商城类app购物车逻辑开始

//全选反选 调用时请使用click事件或change事件，tap事件太迅速无法识别！
function chkall(event){ //alert($('.chkall').prop('checked'));
	if(event.prop('checked') == true){
		$('input[type=checkbox]').prop('checked',true);
	}
	else{
		$('input[type=checkbox]').prop('checked',false);
	}
	if($('input[type=checkbox][name=clk]:checked').length>0){
		$('.accountBtn').removeAttr('disabled');
	}else{
		$('.accountBtn').attr('disabled','disabled');
	}
	
	total_price();
}
//删除选中
function del_chk(){
	if($('input[type= checkbox][name=clk]:checked').length>0){//事先命名商品的checkboxname值为clk;
//		del_select();
		var ids = "";
		$('.clk:checked').each(function(){//遍历所有class属性为clk并且状态为选中的checkbox；
					var id = $(this).val();//获取所有选中的checkbox的值，字符串形式传给后台（后台需要传的数据）;
					ids += id+",";
			})
		ids = ids.substring(0,ids.length-1);
		alert(ids);
		var conf = confirm('确定删除选中的商品？');
		if(conf){
			mui.ajax(HOST+'/index.php/?s=/user/chongwu',{
				type:'post',
				dataType:'json',
				success:function(data){
					console.log(JSON.stringify(data));
				}
			})
		}
	}else{
		alert('您尚未选中任何商品!');
	}
}
//统计商品数量
	function total_num(){
		var num = $('input[type= checkbox][name=clk]:checked').length;
//		$('.chk_num').html(num);
	}
//未选中商品结算按钮不能操作逻辑
function accountBtn(){
	$('input[type=checkbox]').change(function(){
		if($('input[type=checkbox][name=clk]:checked').length>0){
			$('.accountBtn').attr('disabled','disabled');
		}
	})
}
//统计总价
function total_price(){
	var price = parseInt('0.00');
	if($('.clk:checked').length>0){
		$('.clk:checked').each(function(){
			var money = $(this).attr('price');//alert(money);
	//				$('.chk_num').append(total_price);
	//					alert(num);
			price += parseInt(money);
			$('.total_price').html(price);
		})
	}else{
		$('.total_price').html(price);
	}
	
	
}

//购物车逻辑结束